package cn.ezhizao.project.business.standardCpmpany.mapper;

import cn.ezhizao.project.business.standardCpmpany.domain.BizStandardCompany;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;


/**
 * standardCompanyMapper接口
 *
 * @author ezhizao
 * @date 2023-10-30
 */
public interface BizStandardCompanyMapper extends BaseMapper<BizStandardCompany>
{
    /**
     * 查询standardCompany列表
     *
     * @param bizStandardCompany standardCompany
     * @return standardCompany集合
     */
    public List<BizStandardCompany> getList(BizStandardCompany bizStandardCompany);

    /**
     * 物理删除
     * @param bizStandardCompany
     * @return 删除结果
     */
    public int physicalDelete(BizStandardCompany bizStandardCompany);

    /**
     * 修改负责人
     * */
    int updateLeaderId(Long id,Long userId );

    /**
     * 修改负责人
     * */
    int updateAdviserId(Long id,Long userId );

    /**
     * 根据客服或负责人ID 查询对应姓名
     * */
    String getUserById(Long id);
}
